summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Jake Day <jake@ninebysix.com>2023-03-29 01:00:07 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-01 09:14:09 +0700
commite56a6938b1c0632c68fed41c53f375d356972f2a (patch)
tree3a6985e1f41ab829068c8ce3a1b0ce0ea24ec8c9 /games
parenta49bc5e4a11d4ac323fbe198872a77ee516e9398 (diff)
downloadslackbuilds-e56a6938b1c0632c68fed41c53f375d356972f2a.tar.gz
slackbuilds-e56a6938b1c0632c68fed41c53f375d356972f2a.tar.xz
games/boosteroid: Added (Boosteroid Cloud Gaming Platform)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/boosteroid/README6
-rw-r--r--games/boosteroid/boosteroid.SlackBuild82
-rw-r--r--games/boosteroid/boosteroid.info10
-rw-r--r--games/boosteroid/doinst.sh3
-rw-r--r--games/boosteroid/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/games/boosteroid/README b/games/boosteroid/README
new file mode 100644
index 0000000000..77ba24bbc2
--- /dev/null
+++ b/games/boosteroid/README
@@ -0,0 +1,6 @@
+boosteroid (Boosteroid Cloud Gaming Platform)
+
+Run PC games on low-end, outdated or ultra portable devices!
+Play on Mac, Linux, iOS, Android, ChromeOS or smart TVs without console
+
+Homepage: https://www.boosteroid.com
diff --git a/games/boosteroid/boosteroid.SlackBuild b/games/boosteroid/boosteroid.SlackBuild
new file mode 100644
index 0000000000..0c2bd91368
--- /dev/null
+++ b/games/boosteroid/boosteroid.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2023 Jake Day, Maryville, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=boosteroid
+VERSION=${VERSION:-1.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/boosteroid-install-x64.deb data.tar.bz2 | tar xjv || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+rm -rf $PKG/usr/local
+rm -rf $PKG/opt/BoosteroidGamesS.R.L./include
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+sed -i '/Encoding/d' $PKG/usr/share/applications/Boosteroid.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/BoosteroidGamesS.R.L./bin/ToU.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc >$PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/boosteroid/boosteroid.info b/games/boosteroid/boosteroid.info
new file mode 100644
index 0000000000..57281cee98
--- /dev/null
+++ b/games/boosteroid/boosteroid.info
@@ -0,0 +1,10 @@
+PRGNAM="boosteroid"
+VERSION="1.5.2"
+HOMEPAGE="https://www.boosteroid.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://boosteroid.com/linux/installer/boosteroid-install-x64.deb"
+MD5SUM_x86_64="3e43e384206400cda0be88f5ebb5d02d"
+REQUIRES=""
+MAINTAINER="Jake Day"
+EMAIL="jake@ninebysix.com"
diff --git a/games/boosteroid/doinst.sh b/games/boosteroid/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/boosteroid/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/boosteroid/slack-desc b/games/boosteroid/slack-desc
new file mode 100644
index 0000000000..f2e2a33aa8
--- /dev/null
+++ b/games/boosteroid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+boosteroid: boosteroid (Boosteroid Cloud Gaming Platform)
+boosteroid:
+boosteroid: Run PC games on low-end, outdated or ultra portable devices!
+boosteroid: Play on Mac, Linux, iOS, Android, ChromeOS or smart TVs
+boosteroid: without console.
+boosteroid:
+boosteroid:
+boosteroid:
+boosteroid:
+boosteroid: Homepage: https://www.boosteroid.com
+boosteroid: